WordPress3.4アップデート時にDBアップデートのエラーが出る件

WordPress 3.4.2の場合は、管理画面から自動アップデートをクリックした直後にエラーがでて、管理画面が表示できなくなりました。

復旧しようと、WordPress 3.4のファイルをサーバーへアップロードしましたが、今度はデータベースの更新の画面が出て、ボタンをクリックした後にエラーが出て、先に進めませんでした。

原因は

wp-contentディレクトリにいれた「object-cache.php」が原因でした。

ひとまず、このファイルを削除したら、無事にアップデートできました。

 

こちらのブログ「ワードプレス3.4へアップグレードしたら、データベースの更新でエラーがでて焦った!!」(http://free.foot-trip.com/312.html)から、ヒントを得て解決に至りました。

どうも、キャッシュを取る系のプラグインがぶつかるみたいですね。

コメント

タイトルとURLをコピーしました